This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 328711 - package-cleanup -d, package-cleanup --cleandupes, package-cleanup --problems don't do anything
package-cleanup -d, package-cleanup --cleandupes, package-cleanup --problems ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 19:26 EDT by Jonathan Underwood
Modified: 2007-12-26 18:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 23:44:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2007-10-11 19:26:09 EDT
Description of problem:
package-cleanup -d and package-cleanup --cleandupes don't do anything

#  package-cleanup --cleandupes
Setting up yum
No Repositories Available to Set Up
I will remove the following old duplicate packages:
Is this ok [y/N]: y

#  package-cleanup -d
Setting up yum
No Repositories Available to Set Up

# package-cleanup --problems
Setting up yum
No Repositories Available to Set Up
Reading local RPM database
Processing all local requires
No problems found


And yet there is no problem with the yum configuration - 



Version-Release number of selected component (if applicable):
# rpm -qa | grep yum
yum-updatesd-3.2.6-2.fc7
yum-fastestmirror-1.1.7-1.fc7
yum-metadata-parser-1.1.0-2.fc7
yum-3.2.6-2.fc7
yum-utils-1.1.7-1.fc7
Comment 1 Seth Vidal 2007-12-06 23:44:01 EST
All of the above are now fixed in yum upstream and will be available in 1.1.9 or
higher of yum-utils. Thanks for the bug report.
Comment 2 Jonathan Underwood 2007-12-07 12:38:26 EST
Any chance of an update for F-8 ?
Comment 3 Seth Vidal 2007-12-07 12:48:44 EST
It's in the buildsystem now, I believe.

Comment 4 Jonathan Underwood 2007-12-07 12:50:39 EST
Splendid, thanks.
Comment 5 Tim Lauridsen 2007-12-07 13:51:03 EST
yum-utils-1.1.9 will be in updates-testing in next Bodhi push for F7 & F8
Comment 6 Fedora Update System 2007-12-07 16:30:23 EST
yum-utils-1.1.9-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'
Comment 7 Fedora Update System 2007-12-07 16:33:34 EST
yum-utils-1.1.9-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'
Comment 8 Fedora Update System 2007-12-23 17:50:14 EST
yum-utils-1.1.9-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'
Comment 9 Fedora Update System 2007-12-23 17:50:57 EST
yum-utils-1.1.9-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'
Comment 10 Fedora Update System 2007-12-26 18:51:44 EST
yum-utils-1.1.9-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2007-12-26 18:52:13 EST
yum-utils-1.1.9-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.